Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	X.Org X11 libXi runtime library
Name: 		libXi
Version: 	1.2.1
Release: 	2
License: 	MIT/X11
Group: 		System/Libraries
URL: 		http://www.x.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source0: 	http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-proto-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel

%description
X.Org X11 libXi runtime library

%package devel
Summary: 	X.Org X11 libXi development package
Group: 		Development/Libraries
Requires(pre): 	xorg-x11-filesystem >= 0.99.2-3
Requires: 	%{name} = %{version}-%{release}
# required by xi.pc
Requires: 	xorg-x11-proto-devel

Obsoletes: 	xorg-devel

%description devel
X.Org X11 libXi development package

%prep
%setup -q -n %{name}-%{version}

# Disable static library creation by default.
%define with_static 0

%build

%configure \
%if ! %{with_static}
	--disable-static
%endif
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# We intentionally don't ship *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README INSTALL 
#ChangeLog
%{_libdir}/libXi.so.6
%{_libdir}/libXi.so.6.0.0

%files devel
%defattr(-,root,root,-)
#%{_includedir}/X11/extensions/XInput.h
#%{_includedir}/X11/extensions/XInput2.h

%if %{with_static}
%{_libdir}/libXi.a
%endif
%{_libdir}/libXi.so
%{_libdir}/pkgconfig/xi.pc
#%dir %{_mandir}/man3x
%{_mandir}/man3/*.3*

%changelog
* Fri May 21 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.2.1-2
- rebuilt
* Fri Feb 27 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.2.1-1
- Version update
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.1.3-2
- Rebuild against new xserver 1.5.0
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.3-1
- Version update
* Wed Jun 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.4-1
- Version update
* Sun Feb 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.2-1
- Version update
* Sun Jul 02 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.1-1
- Initial release
